| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Public Member Functions | Private Attributes | Static Private Attributes | List of all members
MyObject Class Reference
Inheritance diagram for MyObject:
[legend]
Collaboration diagram for MyObject:
[legend]

## Public Member Functions
| MyObject (int d)
| MyObject (const MyObject &o)
| ~MyObject ()
int | getData ()
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
virtual const CLID & | clID () const
| Retrieve reference to class definition structure. More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...

## Static Public Member Functions
static void | dump ()
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Private Attributes
int | m_data

## Static Private Attributes
static atomic< int > | c_instances
static atomic< int > | d_instances

## Detailed Description

Definition at line 11 of file HiveTestAlgorithm.cpp.

## Constructor & Destructor Documentation

## ◆ MyObject() [1/2]

MyObject::MyObject | ( | int | d | ) |
| inline

Definition at line 17 of file HiveTestAlgorithm.cpp.

17 : m_data( d ) { c_instances++; }
MyObject::c_instances
static atomic< int > c_instances
Definition: HiveTestAlgorithm.cpp:13
MyObject::m_data
int m_data
Definition: HiveTestAlgorithm.cpp:12

## ◆ MyObject() [2/2]

MyObject::MyObject | ( | const MyObject & | o | ) |
| inline

Definition at line 18 of file HiveTestAlgorithm.cpp.

18 : DataObject(), m_data( o.m_data ) { c_instances++; }
MyObject::c_instances
static atomic< int > c_instances
Definition: HiveTestAlgorithm.cpp:13
MyObject::m_data
int m_data
Definition: HiveTestAlgorithm.cpp:12
DataObject::DataObject
DataObject()
Standard Constructor.
Definition: DataObject.cpp:13

## ◆ ~MyObject()

MyObject::~MyObject | ( |  | ) |
| inline

Definition at line 19 of file HiveTestAlgorithm.cpp.

19 { d_instances++; }
MyObject::d_instances
static atomic< int > d_instances
Definition: HiveTestAlgorithm.cpp:14

## Member Function Documentation

## ◆ dump()

static void MyObject::dump | ( |  | ) |
| inline static

Definition at line 21 of file HiveTestAlgorithm.cpp.

21 { cout << "MyObject (C/D): " << c_instances << "/" << d_instances << endl; }
MyObject::c_instances
static atomic< int > c_instances
Definition: HiveTestAlgorithm.cpp:13
std::endl
T endl(T... args)
MyObject::d_instances
static atomic< int > d_instances
Definition: HiveTestAlgorithm.cpp:14
std::cout

## ◆ getData()

int MyObject::getData | ( |  | ) |
| inline

Definition at line 20 of file HiveTestAlgorithm.cpp.

20 { return m_data; }
MyObject::m_data
int m_data
Definition: HiveTestAlgorithm.cpp:12

## Member Data Documentation

## ◆ c_instances

atomic< int > MyObject::c_instances
| static private

Definition at line 13 of file HiveTestAlgorithm.cpp.

## ◆ d_instances

atomic< int > MyObject::d_instances
| static private

Definition at line 14 of file HiveTestAlgorithm.cpp.

## ◆ m_data

int MyObject::m_data
| private

Definition at line 12 of file HiveTestAlgorithm.cpp.

The documentation for this class was generated from the following file:

- GaudiHive/src/HiveTestAlgorithm.cpp